Subject: [Hipsec] A possible LSI collision resolution

From: [email-masked] (Henderson, Thomas R)
Date: Mon Mar 1 19:59:01 2004

> -----Original Message-----
> From: Julien Laganier [mailto:[email-masked]]
> Sent: Monday, March 01, 2004 5:08 AM
> To: [email-masked]
> Subject: [Hipsec] A possible LSI collision resolution
>=20
>=20
> Here's come the solution: When a legacy IPv4 apps is resolving a DNS=20
> name into an A resource record, the resolver query HIT and IP=20
> addresses into a DNS, and then returns the set of 6 randoms LSI to=20
> the apps.
>=20
> It will be up to the appplication to try to connect cycling within=20
> this sets of 6 LSI, the connect possibly failing when LSI collision=20
> happened.
>=20

It is not the matter of picking the peer's LSI (destination) that is=20
the problem.  It is the application's own LSI (sending address) that=20
causes the collision at the peer.

Tom

---

From: [email-masked] (Julien Laganier)
Date: Tue Mar 2 19:43:01 2004

On Tuesday 02 March 2004 10:41, Henderson, Thomas R wrote:
> > Here's come the solution: When a legacy IPv4 apps is resolving a
> > DNS name into an A resource record, the resolver query HIT and IP
> > addresses into a DNS, and then returns the set of 6 randoms LSI
> > to the apps.
> >
> > It will be up to the appplication to try to connect cycling
> > within this sets of 6 LSI, the connect possibly failing when LSI
> > collision happened.
>
> It is not the matter of picking the peer's LSI (destination) that
> is the problem.  It is the application's own LSI (sending address)
> that causes the collision at the peer.

You're right Tom. So perhaps those sets of 6 LSIs can be 'negociated' 
just after DNS name resolution: i.e., a cryptography-free I0/R0 
roundtrip, where each peer just select its own LSI within the set it 
received, trying to avoid collision. If collision cannot be avoided 
(which isn't likely to happen more oftenly than HIT collision, given 
the entropy you have with 6 randomly chosen 32 bits LSIs ~ 192 bits), 
the peers can just retry with an additionnal I0/R0 round trip.

Question is: Does it works?

Thanks,

--julien